<div class="card">
  <div class="card-header"> Login </div>
  <div class="card-body">
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
      <div class="form-group row">
        <label  class="col-sm-3 col-form-label">Username</label>
        <div class="col-sm-9">
          <input type="text" class="form-control" formControlName="username"
          [ngClass]="{'is-invalid': (loginForm.get('username')?.touched || loginForm.get('username')?.dirty) && !loginForm.get('username')?.valid}">
          <div class="invalid-feedback" *ngIf="loginForm.get('username')?.errors?.required">
            Please enter your username
          </div>
        </div>
      </div>
      <div class="form-group row">
        <label  class="col-sm-3 col-form-label">Password</label>
        <div class="col-sm-9">
          <input type="password" class="form-control"  formControlName="password" [ngClass]="{'is-invalid': (loginForm.get('password')?.touched || loginForm.get('password')?.dirty) && !loginForm.get('password')?.valid}">
          <div class="invalid-feedback" *ngIf="loginForm.get('password')?.errors?.required">
            Please enter your password
          </div>
          <div class="invalid-feedback" *ngIf="loginForm.get('password')?.errors?.minlength">
            Password must be greater than 5 characters
          </div>
        </div>
      </div>
      <div class="form-group row">
        <div class="col-sm-10">
          <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid">Login</button>
          <button type="button" class="btn btn-danger ml-3" (click)="logout()">Logout</button>
        </div>
      </div>
    </form>
  </div>
  <div class="card-footer"></div>
</div>
